## r-cran-lobstr 1.1.1

=== DESCRIPTION ===
Package: lobstr
Title: Visualize R Data Structures with Trees
Version: 1.1.1
Authors@R: c(
    person("Hadley", "Wickham", , "hadley@rstudio.com", role = c("aut", "cre")),
    person("RStudio", role = "cph")
  )
Description: A set of tools for inspecting and understanding R data
    structures inspired by str(). Includes ast() for visualizing abstract 
    syntax trees, ref() for showing shared references, cst() for showing 
    call stack trees, and obj_size() for computing object sizes.
License: GPL-3
URL: https://github.com/r-lib/lobstr
BugReports: https://github.com/r-lib/lobstr/issues
Depends: R (>= 3.2)
Imports: crayon, Rcpp, rlang (>= 0.3.0)
Suggests: covr, pillar, pkgdown, testthat
LinkingTo: Rcpp
Encoding: UTF-8
LazyData: true
RoxygenNote: 6.1.1
NeedsCompilation: yes
Packaged: 2019-07-02 17:00:44 UTC; hadley
Author: Hadley Wickham [aut, cre],
  RStudio [cph]
Maintainer: Hadley Wickham <hadley@rstudio.com>
Repository: CRAN
Date/Publication: 2019-07-02 23:10:04 UTC

=== debian/changelog ===
r-cran-lobstr (1.1.1-2) unstable; urgency=medium

  * Packaging update
  * Trim trailing whitespace.
  * Set upstream metadata fields: Archive, Bug-Database, Bug-Submit, Repository,
    Repository-Browse.

 -- Andreas Tille <tille@debian.org>  Tue, 22 Feb 2022 10:08:19 +0100

r-cran-lobstr (1.1.1-1) unstable; urgency=medium

  * Initial release (closes: #1005367)

 -- Andreas Tille <tille@debian.org>  Sat, 12 Feb 2022 13:02:08 +0100

=== debian/control ===
Source: r-cran-lobstr
Maintainer: Debian R Packages Maintainers <r-pkg-team@alioth-lists.debian.net>
Uploaders: Andreas Tille <tille@debian.org>
Section: gnu-r
Testsuite: autopkgtest-pkg-r
Priority: optional
Build-Depends: debhelper-compat (= 13),
               dh-r,
               r-base-dev,
               r-cran-crayon,
               r-cran-rcpp,
               r-cran-rlang
Standards-Version: 4.6.0
Vcs-Browser: https://salsa.debian.org/r-pkg-team/r-cran-lobstr
Vcs-Git: https://salsa.debian.org/r-pkg-team/r-cran-lobstr.git
Homepage: https://cran.r-project.org/package=lobstr
Rules-Requires-Root: no

Package: r-cran-lobstr
Architecture: any
Depends: ${R:Depends},
         ${shlibs:Depends},
         ${misc:Depends}
Recommends: ${R:Recommends}
Suggests: ${R:Suggests}
Description: visualize R data structures with trees
 A set of tools for inspecting and understanding R data
 structures inspired by str(). Includes ast() for visualizing abstract
 syntax trees, ref() for showing shared references, cst() for showing
 call stack trees, and obj_size() for computing object sizes.

=== debian/watch ===
version=4
https://cloud.r-project.org/src/contrib/lobstr_([-\d.]*)\.tar\.gz

## r-cran-lobstr 1.1.2

=== DESCRIPTION ===
Package: lobstr
Title: Visualize R Data Structures with Trees
Version: 1.1.2
Authors@R: c(
    person("Hadley", "Wickham", , "hadley@rstudio.com", role = c("aut", "cre")),
    person("RStudio", role = "cph")
  )
Description: A set of tools for inspecting and understanding R data
    structures inspired by str(). Includes ast() for visualizing abstract
    syntax trees, ref() for showing shared references, cst() for showing
    call stack trees, and obj_size() for computing object sizes.
License: MIT + file LICENSE
URL: https://lobstr.r-lib.org/, https://github.com/r-lib/lobstr
BugReports: https://github.com/r-lib/lobstr/issues
Depends: R (>= 3.2)
Imports: crayon, methods, prettyunits, rlang (>= 1.0.0)
Suggests: covr, pillar, pkgdown, testthat (>= 3.0.0)
LinkingTo: cpp11 (>= 0.4.2)
Config/Needs/website: tidyverse/tidytemplate
Config/testthat/edition: 3
Encoding: UTF-8
RoxygenNote: 7.2.0
SystemRequirements: C++11
NeedsCompilation: yes
Packaged: 2022-06-22 22:48:14 UTC; hadleywickham
Author: Hadley Wickham [aut, cre],
  RStudio [cph]
Maintainer: Hadley Wickham <hadley@rstudio.com>
Repository: CRAN
Date/Publication: 2022-06-22 23:20:02 UTC

=== debian/changelog ===
r-cran-lobstr (1.1.2-1) unstable; urgency=medium

  * New upstream version
  * Standards-Version: 4.6.1 (routine-update)
  * Reorder sequence of d/control fields by cme (routine-update)

 -- Andreas Tille <tille@debian.org>  Tue, 28 Jun 2022 11:43:50 +0200

=== debian/control ===
--- 
+++ 
@@ -1,20 +1,21 @@
 Source: r-cran-lobstr
+Section: gnu-r
+Priority: optional
 Maintainer: Debian R Packages Maintainers <r-pkg-team@alioth-lists.debian.net>
 Uploaders: Andreas Tille <tille@debian.org>
-Section: gnu-r
-Testsuite: autopkgtest-pkg-r
-Priority: optional
+Vcs-Browser: https://salsa.debian.org/r-pkg-team/r-cran-lobstr
+Vcs-Git: https://salsa.debian.org/r-pkg-team/r-cran-lobstr.git
+Homepage: https://cran.r-project.org/package=lobstr
+Standards-Version: 4.6.1
+Rules-Requires-Root: no
 Build-Depends: debhelper-compat (= 13),
                dh-r,
                r-base-dev,
                r-cran-crayon,
-               r-cran-rcpp,
-               r-cran-rlang
-Standards-Version: 4.6.0
-Vcs-Browser: https://salsa.debian.org/r-pkg-team/r-cran-lobstr
-Vcs-Git: https://salsa.debian.org/r-pkg-team/r-cran-lobstr.git
-Homepage: https://cran.r-project.org/package=lobstr
-Rules-Requires-Root: no
+               r-cran-prettyunits,
+               r-cran-rlang (>= 1.0.0),
+               r-cran-cpp11 (>= 0.4.2)
+Testsuite: autopkgtest-pkg-r
 
 Package: r-cran-lobstr
 Architecture: any

## r-cran-lobstr 1.1.3

=== debian/changelog ===
r-cran-lobstr (1.1.3-1) unstable; urgency=medium

  * Team upload.
  * New upstream version
  * Standards-Version: 4.7.3 (routine-update)
  * Restrict to 64-bits architectures (routine-update)
  * Restrict to little-endian architectures (routine-update)
  * dh-update-R to update Build-Depends (routine-update)

 -- Charles Plessy <plessy@debian.org>  Fri, 16 Jan 2026 08:57:21 +0900

=== debian/control ===
--- 
+++ 
@@ -1,21 +1,23 @@
 Source: r-cran-lobstr
-Section: gnu-r
-Priority: optional
 Maintainer: Debian R Packages Maintainers <r-pkg-team@alioth-lists.debian.net>
 Uploaders: Andreas Tille <tille@debian.org>
-Vcs-Browser: https://salsa.debian.org/r-pkg-team/r-cran-lobstr
-Vcs-Git: https://salsa.debian.org/r-pkg-team/r-cran-lobstr.git
-Homepage: https://cran.r-project.org/package=lobstr
-Standards-Version: 4.6.1
-Rules-Requires-Root: no
+Section: gnu-r
+Testsuite: autopkgtest-pkg-r
+Priority: optional
 Build-Depends: debhelper-compat (= 13),
                dh-r,
                r-base-dev,
                r-cran-crayon,
                r-cran-prettyunits,
-               r-cran-rlang (>= 1.0.0),
-               r-cran-cpp11 (>= 0.4.2)
-Testsuite: autopkgtest-pkg-r
+               r-cran-rlang,
+               r-cran-cpp11,
+               architecture-is-64-bit,
+               architecture-is-little-endian
+Standards-Version: 4.7.3
+Vcs-Browser: https://salsa.debian.org/r-pkg-team/r-cran-lobstr
+Vcs-Git: https://salsa.debian.org/r-pkg-team/r-cran-lobstr.git
+Homepage: https://cran.r-project.org/package=lobstr
+Rules-Requires-Root: no
 
 Package: r-cran-lobstr
 Architecture: any

=== debian/tests/control ===
Tests: run-unit-test
Depends: @,
         r-cran-covr,
        r-cran-pillar,
        r-cran-pkgdown,
        r-cran-testthat (>= 3.0.0)
Restrictions: allow-stderr

## r-cran-lobstr 1.2.0

=== DESCRIPTION ===
Package: lobstr
Title: Visualize R Data Structures with Trees
Version: 1.2.0
Authors@R: c(
    person("Hadley", "Wickham", , "hadley@posit.co", role = c("aut", "cre")),
    person("Posit Software, PBC", role = c("cph", "fnd"))
  )
Description: A set of tools for inspecting and understanding R data
    structures inspired by str(). Includes ast() for visualizing abstract
    syntax trees, ref() for showing shared references, cst() for showing
    call stack trees, and obj_size() for computing object sizes.
License: MIT + file LICENSE
URL: https://lobstr.r-lib.org/, https://github.com/r-lib/lobstr
BugReports: https://github.com/r-lib/lobstr/issues
Depends: R (>= 3.6.0)
Imports: crayon, methods, prettyunits, rlang (>= 1.0.0)
Suggests: covr, pillar, pkgdown, testthat (>= 3.0.0)
LinkingTo: cpp11 (>= 0.4.2)
Config/Needs/website: tidyverse/tidytemplate
Config/testthat/edition: 3
Encoding: UTF-8
RoxygenNote: 7.3.3
Config/build/compilation-database: true
NeedsCompilation: yes
Packaged: 2026-02-18 10:54:56 UTC; lionel
Author: Hadley Wickham [aut, cre],
  Posit Software, PBC [cph, fnd]
Maintainer: Hadley Wickham <hadley@posit.co>
Repository: CRAN
Date/Publication: 2026-02-18 14:40:09 UTC

=== debian/changelog ===
r-cran-lobstr (1.2.0-1) unstable; urgency=medium

  * Team upload.
  * New upstream version
  * Standards-Version: 4.7.3 (routine-update)
  * dh-update-R to update Build-Depends (routine-update)
  * Update debian/copyright for MIT relicensing in version 1.1.2.

 -- Charles Plessy <plessy@debian.org>  Sun, 22 Feb 2026 12:26:25 +0900

=== debian/control ===
Source: r-cran-lobstr
Standards-Version: 4.7.3
Maintainer: Debian R Packages Maintainers <r-pkg-team@alioth-lists.debian.net>
Uploaders:
 Andreas Tille <tille@debian.org>,
Section: gnu-r
Testsuite: autopkgtest-pkg-r
Build-Depends:
 debhelper-compat (= 13),
 dh-r,
 r-base-dev,
 r-cran-crayon,
 r-cran-prettyunits,
 r-cran-rlang,
 r-cran-cpp11,
 architecture-is-64-bit,
 architecture-is-little-endian,
Vcs-Browser: https://salsa.debian.org/r-pkg-team/r-cran-lobstr
Vcs-Git: https://salsa.debian.org/r-pkg-team/r-cran-lobstr.git
Homepage: https://cran.r-project.org/package=lobstr
Rules-Requires-Root: no

Package: r-cran-lobstr
Architecture: any
Depends:
 ${R:Depends},
 ${shlibs:Depends},
 ${misc:Depends},
Recommends:
 ${R:Recommends},
Suggests:
 ${R:Suggests},
Description: visualize R data structures with trees
 A set of tools for inspecting and understanding R data
 structures inspired by str(). Includes ast() for visualizing abstract
 syntax trees, ref() for showing shared references, cst() for showing
 call stack trees, and obj_size() for computing object sizes.

=== debian/tests/control ===
Tests: run-unit-test
Restrictions: allow-stderr
Depends:
 @,
 r-cran-covr,
 r-cran-pillar,
 r-cran-pkgdown,
 r-cran-testthat (>= 3.0.0),
